Description

It would be great if it was possible to move a layer to the top of the layer panel by:

    1. Right clicking on the layer that you want to move to the top in the layer panel

    2. Click on 'Move to Top' (or maybe 'Move to Top of Layer Panel').

Result: The layer is not the first layer in the Layer Panel.

This 'Move to Top'-option could be placed under or over the 'Move to Top-level' - and act it the same away but instead move the layer to

the top of the Layer panel.

It would be nice to have this feature when you have a lot of layers in your Layer Panel - then it takes a bit of time to move the layer to the

top.

Illustration of the idea attached to this issue.

History

#1 - 2017-08-08 06:12 AM - Mario Reyes

Mie Winstrup wrote:

It would be great if it was possible to move a layer to the top of the layer panel by:    1. Right clicking on the layer that you want to move to the top in

the layer panel

    2. Click on 'Move to Top' (or maybe 'Move to Top of Layer Panel').

Result: The layer is not the first layer in the Layer Panel.

This 'Move to Top'-option could be placed under or over the 'Move to Top-level' - and act it the same away but instead move the layer to the top of

the Layer panel.

It would be nice to have this feature when you have a lot of layers in your Layer Panel - then it takes a bit of time to move the layer to the top.

Illustration of the idea attached to this issue.

It seems a good idea. It would be useful if there are a lot of layers.

#2 - 2018-03-25 10:57 PM - Mie Winstrup

The function is implemented in pull request //github.com/qgis/QGIS/pull/6671 and waiting for hopefully approval in QGIS 3 :)

#3 - 2018-04-05 04:22 PM - Mie Winstrup

- Status changed from Open to Closed
Implemented in nightly build 3.1.33
